﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Spawner : MonoBehaviour
{
    public GameObject toSpawnPrefab;
    GameObject[] objectArray = new GameObject[5];

    public float spawnInterval;

    public float spawnRadius;
    float lastSpawn;

    void Start()
    {
        lastSpawn = -3f;
    }

    // Update is called once per frame
    void Update()
    {
        if (lastSpawn + spawnInterval < Time.time)
        {
            lastSpawn = Time.time;

            for (int i = 0; i < objectArray.Length; i++)
            {
                if (objectArray[i] == null)
                {
                    objectArray[i] = Instantiate(toSpawnPrefab, (Vector2)transform.position + Random.insideUnitCircle * spawnRadius, new Quaternion(), null);
                    break;
                }
            }
        }
    }
}
