﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Pickupable : MonoBehaviour, IPickupable
{
    public Transform point;

    public Collider2D objectCollider;

    public void EnableCollider(bool state)
    {
        objectCollider.enabled = state;
    }

    public Vector3 GetOffset()
    {
        return point.localPosition;
    }
}